summaryrefslogtreecommitdiff
path: root/debian/ipmitool.postrm
diff options
context:
space:
mode:
authorJörg Frings-Fürst <debian@jff-webhosting.net>2019-12-26 20:44:25 +0100
committerJörg Frings-Fürst <debian@jff-webhosting.net>2019-12-26 20:44:25 +0100
commit2231ef8c0c4e678468a6f031a972ab9a25334e3f (patch)
tree7524586dcbed57650a70e3b2f70bfc5a6d26f900 /debian/ipmitool.postrm
parent83f4e330f2f1de2d9808972546c4b5edc671b648 (diff)
Remove System V artefacte
Diffstat (limited to 'debian/ipmitool.postrm')
-rw-r--r--debian/ipmitool.postrm20
1 files changed, 20 insertions, 0 deletions
diff --git a/debian/ipmitool.postrm b/debian/ipmitool.postrm
new file mode 100644
index 0000000..f6d6ee9
--- /dev/null
+++ b/debian/ipmitool.postrm
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+set -e
+
+
+#
+# remove System V init file artefacte
+# new since 1.8.18-9
+#
+if [ "$1" = "purge" ] | [ "$1" = "remove" ]; then
+ rm -f /etc/rc0.d/K01ipmievd
+ rm -f /etc/rc1.d/K01ipmievd
+ rm -f /etc/rc2.d/K01ipmievd
+ rm -f /etc/rc3.d/K01ipmievd
+ rm -f /etc/rc4.d/K01ipmievd
+ rm -f /etc/rc5.d/K01ipmievd
+ rm -f /etc/rc6.d/K01ipmievd
+fi
+
+#DEBHELPER#